/*!
  \file
  \brief 直接制御用の変数の管理

  \author Satofumi KAMIMURA

  $Id: direct_handler.c 1209 2009-08-05 13:11:59Z satofumi $
*/

#include "direct_handler.h"
#include "follow_control.h"


void direct_initialize(direct_t* direct)
{
  int i;

  direct->reset = 0;
  for (i = 0; i < 2; ++i) {
    follow_initialize(&direct->wheel[i], DEFAULT_DIRECT_ACCELERATION);
  }
}


void direct_reset(direct_t* direct)
{
  (void)direct;

  // !!!
}
